<?php

declare(strict_types=1);

namespace App\Controller\TblNoticiaGenfar;

use App\Service\TblNoticiaGenfarService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblNoticiaGenfarService(): TblNoticiaGenfarService
    {
        return $this->container->get('TblNoticiaGenfar_service');
    }
}
